package com.airfrance.squalecommon.datatransfertobject;

import java.io.Serializable;

import com.airfrance.squalecommon.util.messages.BaseMessages;

/**
 * @author M400843
 *
 */
public class DTOMessages extends BaseMessages implements Serializable {
    /** Instance */
    static private DTOMessages mInstance = new DTOMessages();

    /**
     * Constructeur par dfaut. Priv pour viter l'instanciation.
     */
    private DTOMessages() {
        super("com.airfrance.squalecommon.datatransfertobject.dto_messages");
    }

    /**
     * Retourne la chane de caractre identifie par la cl.
     * @param pKey nom de la cl.
     * @return la chane associe.
     */
    public static String getString(String pKey) {
        return mInstance.getBundleString(pKey);
    }

    /**
     * 
     * Retourne la chane de caractre identifie par la cl.
     * @param pKey nom de la cl.
     * @param pValues les valeurs  insrer dans la chaine
     * @return la chane associe.
     */
    public static String getString(String pKey, String[] pValues) {
        return mInstance.getBundleString(pKey, pValues);
    }
}
