package com.airfrance.squaleweb.messages;

/**
 * Fournisseur de message
 * Cette interface est utilise pour la fourniture de message
 * venant de la base de donnes
 */
public interface MessageProvider {
    /**
     * Obtention d'un message
     * Si le message n'est pas trouv dans la langue demande,
     * la langue par dfaut est utilise
     * @param pLang langue
     * @param pKey clef
     * @return message ou null si non trouv
     */
    public String getMessage(String pLang, String pKey);

}
