package com.airfrance.squalecommon.enterpriselayer.facade.rule.xml;

import com.airfrance.squalecommon.util.messages.BaseMessages;

/**
 * Messages pour les rgles qualit
 *
 */
 class XmlRuleMessages extends BaseMessages {
     /** Instance */
     static private XmlRuleMessages mInstance = new XmlRuleMessages();

    /**
     * Constructeur par dfaut. Priv pour viter l'instanciation.
     */
    private XmlRuleMessages() {
        super("com.airfrance.squalecommon.enterpriselayer.facade.rule.xml.xml_rule_messages");
    }

    /**
     * Retourne la chane de caractre identifie par la cl.
     * @param pKey nom de la cl.
     * @return la chane associe.
     */
    public static String getString(String pKey) {
        return mInstance.getBundleString(pKey);
    }

    /**
     * 
     * Retourne la chane de caractre identifie par la cl.
     * @param pKey nom de la cl.
     * @param pValues les valeurs  insrer dans la chaine
     * @return la chane associe.
     */
    public static String getString(String pKey, Object[] pValues) {
        return mInstance.getBundleString(pKey, pValues);
    }

}
