package com.airfrance.squaleweb.applicationlayer.formbean.creation;

import com.airfrance.squaleweb.applicationlayer.formbean.RootForm;

/**
 * Contient une rgle qualit.
 * 
 * @version 1.0
 * @author m400842
 */
public class QualityRuleForm extends RootForm {
    
    /**
     * Type de la rgle (facteur, critere, pratique)
     */
    private String mType = "";
    /**
     * Nom du facteur
     */
    private String mName = "";
    
    /**
     * Constructeur par dfaut
     *
     */
    public QualityRuleForm(){
    }
    
    /**
     * Constructeur complet.
     * 
     * @param pName le nom de la rgle.
     * @param pType le type de la rgle.
     */
    public QualityRuleForm(final String pName, final String pType){
        mName = pName;
        mType = pType;
    }
    
    /**
     * @return le nom de la rgle
     */
    public String getName() {
        return mName;
    }

    /**
     * @return le type de la rgle
     */
    public String getType() {
        return mType;
    }

    /**
     * @param pName le nom de la rgle
     */
    public void setName(String pName) {
        mName = pName;
    }

    /**
     * @param pType le type de la rgle
     */
    public void setType(String pType) {
        mType = pType;
    }

}
