package com.airfrance.squalix.tools.ckjm;

import com.airfrance.squalecommon.util.messages.BaseMessages;

/**
 * Messages pour la tche ckjm
 */
public class CkjmMessages extends BaseMessages {
    /** Instance */
    static private CkjmMessages mInstance = new CkjmMessages();

    /**
     * Constructeur par dfaut. Priv pour viter l'instanciation.
     */
    private CkjmMessages() {
        super("com.airfrance.squalix.tools.ckjm.ckjm");
    }

    /**
     * Retourne la chane de caractre identifie par la cl.
     * @param pKey nom de la cl.
     * @return la chane associe.
     */
    public static String getString(String pKey) {
        return mInstance.getBundleString(pKey);
    }
}
